import type { CSSProperties, ExtractPublicPropTypes } from 'vue';
export declare const waterMarkProps: {
    className: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    style: import("@antdv/pro-utils").VueTypeValidateDef<CSSProperties, import("@antdv/pro-utils").ValidatorFunction<CSSProperties>>;
    markStyle: import("@antdv/pro-utils").VueTypeValidateDef<CSSProperties, import("@antdv/pro-utils").ValidatorFunction<CSSProperties>>;
    markClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    gapX: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    gapY: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    zIndex: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    width: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    height: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    offsetTop: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>>;
    offsetLeft: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>>;
    rotate: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    image: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    content: import("@antdv/pro-utils").VueTypeDef<string | string[]>;
    fontColor: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    fontStyle: import("@antdv/pro-utils").VueTypeDef<"none" | "normal" | "italic" | "oblique"> & {
        default: "none" | "normal" | "italic" | "oblique";
    };
    fontFamily: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>> & {
        default: string;
    };
    fontWeight: import("@antdv/pro-utils").VueTypeDef<number | "normal" | "light" | "weight"> & {
        default: number | "normal" | "light" | "weight";
    };
    fontSize: import("@antdv/pro-utils").VueTypeDef<string | number> & {
        default: string | number;
    };
    children: import("@antdv/pro-utils").VueTypeValidateDef<import("@antdv/pro-utils").VueNode, import("@antdv/pro-utils").ValidatorFunction<import("@antdv/pro-utils").VueNode>>;
};
export type WaterMarkProps = ExtractPublicPropTypes<typeof waterMarkProps>;
export declare const WaterMark: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    className: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    style: import("@antdv/pro-utils").VueTypeValidateDef<CSSProperties, import("@antdv/pro-utils").ValidatorFunction<CSSProperties>>;
    markStyle: import("@antdv/pro-utils").VueTypeValidateDef<CSSProperties, import("@antdv/pro-utils").ValidatorFunction<CSSProperties>>;
    markClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    gapX: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    gapY: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    zIndex: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    width: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    height: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    offsetTop: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>>;
    offsetLeft: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>>;
    rotate: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    image: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    content: import("@antdv/pro-utils").VueTypeDef<string | string[]>;
    fontColor: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    fontStyle: import("@antdv/pro-utils").VueTypeDef<"none" | "normal" | "italic" | "oblique"> & {
        default: "none" | "normal" | "italic" | "oblique";
    };
    fontFamily: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>> & {
        default: string;
    };
    fontWeight: import("@antdv/pro-utils").VueTypeDef<number | "normal" | "light" | "weight"> & {
        default: number | "normal" | "light" | "weight";
    };
    fontSize: import("@antdv/pro-utils").VueTypeDef<string | number> & {
        default: string | number;
    };
    children: import("@antdv/pro-utils").VueTypeValidateDef<import("@antdv/pro-utils").VueNode, import("@antdv/pro-utils").ValidatorFunction<import("@antdv/pro-utils").VueNode>>;
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    className: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    style: import("@antdv/pro-utils").VueTypeValidateDef<CSSProperties, import("@antdv/pro-utils").ValidatorFunction<CSSProperties>>;
    markStyle: import("@antdv/pro-utils").VueTypeValidateDef<CSSProperties, import("@antdv/pro-utils").ValidatorFunction<CSSProperties>>;
    markClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    gapX: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    gapY: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    zIndex: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    width: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    height: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    offsetTop: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>>;
    offsetLeft: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>>;
    rotate: import("@antdv/pro-utils").VueTypeValidateDef<number, import("@antdv/pro-utils").ValidatorFunction<number>> & {
        default: number;
    };
    prefixCls: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    image: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    content: import("@antdv/pro-utils").VueTypeDef<string | string[]>;
    fontColor: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    fontStyle: import("@antdv/pro-utils").VueTypeDef<"none" | "normal" | "italic" | "oblique"> & {
        default: "none" | "normal" | "italic" | "oblique";
    };
    fontFamily: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>> & {
        default: string;
    };
    fontWeight: import("@antdv/pro-utils").VueTypeDef<number | "normal" | "light" | "weight"> & {
        default: number | "normal" | "light" | "weight";
    };
    fontSize: import("@antdv/pro-utils").VueTypeDef<string | number> & {
        default: string | number;
    };
    children: import("@antdv/pro-utils").VueTypeValidateDef<import("@antdv/pro-utils").VueNode, import("@antdv/pro-utils").ValidatorFunction<import("@antdv/pro-utils").VueNode>>;
}>> & Readonly<{}>, {
    fontFamily: string;
    fontSize: string | number;
    fontStyle: "none" | "normal" | "italic" | "oblique";
    fontWeight: number | "normal" | "light" | "weight";
    height: number;
    rotate: number;
    width: number;
    zIndex: number;
    gapX: number;
    gapY: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
